Debian Bug report logs - #496461
port-forwarding not working

version graph

Package: azureus; Maintainer for azureus is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for azureus is src:azureus.

Reported by: Achim Schaefer <achim_schaefer@gmx.de>

Date: Sun, 24 Aug 2008 22:12:01 UTC

Severity: normal

Tags: confirmed

Found in version azureus/3.1.1.0-3

Done: Adrian Perez <adrianperez.deb@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, achim_schaefer@gmx.de, Shaun Jackman <sjackman@debian.org>:
Bug#496461; Package azureus. Full text and rfc822 format available.

Acknowledgement sent to Achim Schaefer <achim_schaefer@gmx.de>:
New Bug report received and forwarded. Copy sent to achim_schaefer@gmx.de, Shaun Jackman <sjackman@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Achim Schaefer <achim_schaefer@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: azureus: does not bind to tcp/udp4
Date: Mon, 25 Aug 2008 00:09:00 +0200
Package: azureus
Version: 3.1.1.0-3
Severity: normal

azureus binds only to the tcp version 6 interface, but not to the tcp version 4 one.
This way my port forwarding (tcp version 4) do not work.

-- System Information:
Debian Release: lenny/sid
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-openvz-686 (SMP w/1 CPU core)
Locale: LANG=de_LU.UTF-8, LC_CTYPE=de_LU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages azureus depends on:
pn  java-gcj-compat | java-virtua <none>     (no description available)
ii  libcommons-cli-java           1.1-3      API for working with the command l
ii  liblog4j1.2-java              1.2.15-4   Logging library for java
ii  libswt-gtk-3.4-java           3.4-1      Standard Widget Toolkit for GTK+ J
ii  sun-java6-jre [java2-runtime] 6-07-4     Sun Java(TM) Runtime Environment (

azureus recommends no packages.

Versions of packages azureus suggests:
ii  azureus-gcj                   3.1.1.0-3  native binary of Azureus
pn  vuze                          <none>     (no description available)

-- no debconf information




Added tag(s) confirmed. Request was from Adrian Perez <adrianperez.deb@gmail.com> to control@bugs.debian.org. (Thu, 30 Jul 2009 18:30:03 GMT) Full text and rfc822 format available.

Reply sent to Adrian Perez <adrianperez.deb@gmail.com>:
You have taken responsibility. (Fri, 14 Aug 2009 13:09:11 GMT) Full text and rfc822 format available.

Notification sent to Achim Schaefer <achim_schaefer@gmx.de>:
Bug acknowledged by developer. (Fri, 14 Aug 2009 13:09:12 GMT) Full text and rfc822 format available.

Message #12 received at 496461-close@bugs.debian.org (full text, mbox):

From: Adrian Perez <adrianperez.deb@gmail.com>
To: 496461-close@bugs.debian.org
Subject: Re: azureus: does not bind to tcp/udp4
Date: Fri, 14 Aug 2009 09:01:43 -0400
[Message part 1 (text/plain, inline)]
Hello.

According to the Azureus developer, azureus will bind on ::, which means
it's also including tcp4. 
Please check your port forwarding since I've done a simple test on a
CentOS machine as port-forwarder, and a Debian client and seems to work.


-- 
Best regards, 

Adrian Perez <adrianperez.deb@gmail.com>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#496461; Package azureus. (Fri, 14 Aug 2009 17:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Achim Schaefer <achim_schaefer@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Fri, 14 Aug 2009 17:48:06 GMT) Full text and rfc822 format available.

Message #17 received at 496461@bugs.debian.org (full text, mbox):

From: Achim Schaefer <achim_schaefer@gmx.de>
To: 496461@bugs.debian.org
Subject: Re: Bug#496461 closed by Adrian Perez <adrianperez.deb@gmail.com> (Re: azureus: does not bind to tcp/udp4)
Date: Fri, 14 Aug 2009 19:44:29 +0200
[Message part 1 (text/plain, inline)]
reopen

Sorry, but this is still the case for me, I don't know why.
I changed the port from a port above 50000, which seems not allowed any more 
to port 46949. now I can see only ipv6 ports open:
achim@data:~$ netstat -an | grep 46949
tcp6       0      0 :::46949                :::*                    LISTEN
udp6       0      0 :::46949                :::*
achim@data:~$

Achim

Am Freitag 14 August 2009 15:09:12 schrieb Debian Bug Tracking System:
> This is an automatic notification regarding your Bug report
> which was filed against the azureus package:
>
> #496461: azureus: does not bind to tcp/udp4
>
> It has been closed by Adrian Perez <adrianperez.deb@gmail.com>.
>
> Their explanation is attached below along with your original report.
> If this explanation is unsatisfactory and you have not received a
> better one in a separate message then please contact Adrian Perez
> <adrianperez.deb@gmail.com> by replying to this email.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#496461; Package azureus. (Mon, 17 Aug 2009 17:00:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Perez <adrianperez.deb@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 17 Aug 2009 17:00:10 GMT) Full text and rfc822 format available.

Message #22 received at 496461@bugs.debian.org (full text, mbox):

From: Adrian Perez <adrianperez.deb@gmail.com>
To: Achim Schaefer <achim_schaefer@gmx.de>, 496461@bugs.debian.org
Subject: Re: Bug#496461: closed by Adrian Perez <adrianperez.deb@gmail.com> (Re: azureus: does not bind to tcp/udp4)
Date: Mon, 17 Aug 2009 12:55:08 -0400
What kind of port forwarding you're performing? iptables? 
Could you please provide more information.
Binding to :: will comprise ipv4 too, AFAIK.

On Fri, 2009-08-14 at 19:44 +0200, Achim Schaefer wrote:
> which seems not allowed any more 
> to port 46949. now I can see only ipv6 ports open:
> achim@data:~$ netstat -an | grep 46949
> tcp6       0      0 :::46949                :::*
> LISTEN
> udp6       0      0 :::46949                :::*
> achim@data:~$
> 
> Achim
> 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#496461; Package azureus. (Thu, 20 Aug 2009 18:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Achim Schaefer <achim_schaefer@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 20 Aug 2009 18:51:05 GMT) Full text and rfc822 format available.

Message #27 received at 496461@bugs.debian.org (full text, mbox):

From: Achim Schaefer <achim_schaefer@gmx.de>
To: Adrian Perez <adrianperez.deb@gmail.com>
Cc: 496461@bugs.debian.org
Subject: Re: Bug#496461: closed by Adrian Perez <adrianperez.deb@gmail.com> (Re: azureus: does not bind to tcp/udp4)
Date: Thu, 20 Aug 2009 20:48:37 +0200
[Message part 1 (text/plain, inline)]
Hi,

I'm not aware of any kind of port forwarding on this box.
I assume iptables is not used at all, but I'm no expert so I don't know how to 
check for any rule anywhere.

data:~# iptables -L
WARNING: All config files need .conf: /etc/modprobe.d/nvidia-kernel-nkc, it will 
be ignored in a future release.
Chain INPUT (policy ACCEPT)
target     prot opt source               destination

Chain FORWARD (policy ACCEPT)
target     prot opt source               destination

Chain OUTPUT (policy ACCEPT)
target     prot opt source               destination
data:~#

I've got a little bit strange network interfaces:
data:~# ifconfig -a
eth0      Link encap:Ethernet  HWaddr 00:0e:2e:8c:b2:1b
          inet addr:192.168.77.233  Bcast:192.168.77.255  Mask:255.255.255.0
          inet6 addr: fe80::20e:2eff:fe8c:b21b/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:4314545 errors:0 dropped:0 overruns:0 frame:0
          TX packets:2898497 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:248817746 (237.2 MiB)  TX bytes:378059811 (360.5 MiB)
          Interrupt:18 Base address:0xa800

eth1      Link encap:Ethernet  HWaddr 00:13:d3:a2:73:f0
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 B)  TX bytes:0 (0.0 B)
          Interrupt:16 Base address:0x8000

extern    Link encap:Ethernet  HWaddr 00:0e:2e:8c:b2:1b
          inet addr:192.168.77.233  Bcast:192.168.77.255  Mask:255.255.255.0
          inet6 addr: fe80::20e:2eff:fe8c:b21b/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:37274 errors:0 dropped:0 overruns:0 frame:0
          TX packets:26367 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:39655431 (37.8 MiB)  TX bytes:3707640 (3.5 MiB)

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:249560 errors:0 dropped:0 overruns:0 frame:0
          TX packets:249560 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:64539708 (61.5 MiB)  TX bytes:64539708 (61.5 MiB)

vboxnet0  Link encap:Ethernet  HWaddr 0a:00:27:00:00:00
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 B)  TX bytes:0 (0.0 B)

data:~#

Basically extern (which is a bridge to eth0) should normally be used.
since I installed hte kde-network-manager package, eth0 got an ip adress.
So after boot, I need to ifdown extern, ifup extern to have network back.
I was not able to digg into this till now.

Achim
Am Montag 17 August 2009 18:55:08 schrieb Adrian Perez:
> What kind of port forwarding you're performing? iptables?
> Could you please provide more information.
> Binding to :: will comprise ipv4 too, AFAIK.
>
> On Fri, 2009-08-14 at 19:44 +0200, Achim Schaefer wrote:
> > which seems not allowed any more
> > to port 46949. now I can see only ipv6 ports open:
> > achim@data:~$ netstat -an | grep 46949
> > tcp6       0      0 :::46949                :::*
> > LISTEN
> > udp6       0      0 :::46949                :::*
> > achim@data:~$
> >
> > Achim
[signature.asc (application/pgp-signature, inline)]

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 20 Aug 2009 19:12:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#496461; Package azureus. (Thu, 20 Aug 2009 19:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Perez <adrianperez.deb@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 20 Aug 2009 19:27:08 GMT) Full text and rfc822 format available.

Message #34 received at 496461@bugs.debian.org (full text, mbox):

From: Adrian Perez <adrianperez.deb@gmail.com>
To: 496461 <496461@bugs.debian.org>
Subject: Re: azureus: does not bind to tcp/udp4
Date: Thu, 20 Aug 2009 15:23:03 -0400
[Message part 1 (text/plain, inline)]
reopen 496461
--
I'll reopen until you get it fixed.

Wow, you have a tricky interface configuration there. 

I can say much with your provided information, but AFAICS you're using a
class C private network, so probably you're not connecting to internet
directly, instead through:
a) a proxy
b) a corporate firewall
c) a router
d) many more... ;)

So when you talk about port-forwarding, I was assuming you've configured
NAT for the incoming tcp and udp ports from your public interface to
your machine; please correct me if that isn't the case.

I think the problem is not in azureus at all. After contacting the
developers, the pointed me that the code in azureus binding to :: will
comprise ipv4 and ipv6. It will bind to ipv6 when available only, but
ipv4 will always work.

Please provide the log of the Network Status and the NAT/Firewall Test.

-- 
Best regards,
Adrian Perez <adrianperez.deb@gmail.com>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#496461; Package azureus. (Fri, 21 Aug 2009 15:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Perez <adrianperez.deb@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Fri, 21 Aug 2009 15:09:09 GMT) Full text and rfc822 format available.

Message #39 received at 496461@bugs.debian.org (full text, mbox):

From: Adrian Perez <adrianperez.deb@gmail.com>
To: 496461 <496461@bugs.debian.org>
Subject: Re: Bug#: closed by Adrian Perez <adrianperez.deb@gmail.com> (Re: azureus: does not bind to tcp/udp4)
Date: Fri, 21 Aug 2009 10:59:12 -0400
[Message part 1 (text/plain, inline)]
retitle 496461 port-forwarding not working
severity 496461 low
--
I've managed to test the current azureus release (4.2.0.4-1) in the
following environments with only ipv4 configured:

- public: NAT OK.
- gateway [CentOS iptables-shorewall]: NAT OK
- gateway [W2K3 ISA Server 2006]: NAT OK (had to tweak udp incoming).
- gateway [router]: working NAT OK.

So I'll probaby close the bug again soon, since it's definitely an issue
with your network configuration, and neither with azureus nor the
packaging work. 
-- 
Best regards,
Adrian Perez <adrianperez.deb@gmail.com>
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'port-forwarding not working' from 'azureus: does not bind to tcp/udp4' Request was from Adrian Perez <adrianperez.deb@gmail.com> to control@bugs.debian.org. (Fri, 21 Aug 2009 15:09:12 GMT) Full text and rfc822 format available.

Reply sent to Adrian Perez <adrianperez.deb@gmail.com>:
You have taken responsibility. (Mon, 31 Aug 2009 15:45:10 GMT) Full text and rfc822 format available.

Notification sent to Achim Schaefer <achim_schaefer@gmx.de>:
Bug acknowledged by developer. (Mon, 31 Aug 2009 15:45:11 GMT) Full text and rfc822 format available.

Message #46 received at 496461-close@bugs.debian.org (full text, mbox):

From: Adrian Perez <adrianperez.deb@gmail.com>
To: 496461-close@bugs.debian.org
Subject: Re: port-forwarding not working
Date: Mon, 31 Aug 2009 11:24:43 -0400
[Message part 1 (text/plain, inline)]
Hello.
There's no point keeping this open, since it's not an azureus related
problem, it's IMHO relevant to your network configuration. 
As far as I know, and has been confirmed by the azureus dev which
maintains bindings, that as I said, the binding comprises ipv4 as well.
So, I recommend you to join #azureus-support on freenode, to let them
explain you the best way to configure port-forwarding for your
configuration, you could also get help on #ubuntu. And alternatively,
you could reach me through irc too, I'm willing to spend some time by
helping you to solve this. But, recalling, it's not an azureus bug. 
-- 
Best regards,
Adrian Perez <adrianperez.deb@gmail.com>
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 29 Sep 2009 07:36:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 10:52:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.